API Reference2026-02-18 (Latest)Gateway

Get a payment

GET
/v1/gateway/payment/{id}

Authorization

headerApi-Key<token>

Path Parameters

id*string

Payment ID

Header Parameters

Api-Key?string|null
App-Id?string|null
Client-Id?string|null
WCP-Version?string|null
Sdk-Name?string|null
Sdk-Version?string|null
Sdk-Platform?string|null

Response Body

Payment status retrieved successfully

application/json
  1. response
amount*
buyer?null|
expiresAt*integer
Formatint64
Range0 <= value
merchant*
status*PaymentStatus

Payment status representing the lifecycle of a payment.

Payments progress through these states from creation to terminal status. Some states are specific to the payment source (pull vs push).

Value in"requires_action""processing""succeeded""failed""expired""cancelled"
curl -X GET 'https://api.pay.walletconnect.com/v1/gateway/payment/pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV'
{  "amount": {    "display": {      "assetName": "string",      "assetSymbol": "string",      "decimals": 0,      "iconUrl": "string",      "networkIconUrl": "string",      "networkName": "string"    },    "unit": "string",    "value": "string"  },  "buyer": null,  "expiresAt": 0,  "merchant": {    "iconUrl": "string",    "name": "string"  },  "status": "requires_action"}